import * as $dara from '@darabonba/typescript';
import { GetCloudAssetCriteriaResponseBody } from "./GetCloudAssetCriteriaResponseBody";
export declare class GetCloudAssetCriteriaResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetCloudAssetCriteriaResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
